Package org.gradle.api.plugins

# Class HelpTasksPlugin

java.lang.Object
org.gradle.api.plugins.HelpTasksPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class HelpTasksPlugin extends Object implements Plugin<Project>
Adds various reporting tasks that provide information about the project.

See Also:
  - Getting additional help with Gradle

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARTIFACT_TRANSFORMS_TASK`
  The name of the Artifact Transforms report task.
  `static final String`
  `COMPONENTS_TASK`
  `static final String`
  `DEPENDENCIES_TASK`
  `static final String`
  `DEPENDENCY_INSIGHT_TASK`
  `static final String`
  `DEPENDENT_COMPONENTS_TASK`
  `static final String`
  `HELP_GROUP`
  `static final String`
  `MODEL_TASK`
  `static final String`
  `OUTGOING_VARIANTS_TASK`
  The name of the outgoing variants report task.
  `static final String`
  `PROPERTIES_TASK`
  `static final String`
  `RESOLVABLE_CONFIGURATIONS_TASK`
  The name of the requested configurations report task.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HelpTasksPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HELP_GROUP

    public static final String HELP_GROUP
    See Also:
      - Constant Field Values

  - ### PROPERTIES_TASK

    public static final String PROPERTIES_TASK
    See Also:
      - Constant Field Values

  - ### DEPENDENCIES_TASK

    public static final String DEPENDENCIES_TASK
    See Also:
      - Constant Field Values

  - ### DEPENDENCY_INSIGHT_TASK

    public static final String DEPENDENCY_INSIGHT_TASK
    See Also:
      - Constant Field Values

  - ### COMPONENTS_TASK

    public static final String COMPONENTS_TASK
    See Also:
      - Constant Field Values

  - ### OUTGOING_VARIANTS_TASK

    public static final String OUTGOING_VARIANTS_TASK
    The name of the outgoing variants report task.
    Since:
      6.0
    See Also:
      - Constant Field Values

  - ### RESOLVABLE_CONFIGURATIONS_TASK

    @Incubating public static final String RESOLVABLE_CONFIGURATIONS_TASK
    The name of the requested configurations report task.
    Since:
      7.5
    See Also:
      - Constant Field Values

  - ### ARTIFACT_TRANSFORMS_TASK

    @Incubating public static final String ARTIFACT_TRANSFORMS_TASK
    The name of the Artifact Transforms report task.
    Since:
      8.13
    See Also:
      - Constant Field Values

  - ### MODEL_TASK

    public static final String MODEL_TASK
    See Also:
      - Constant Field Values

  - ### DEPENDENT_COMPONENTS_TASK

    public static final String DEPENDENT_COMPONENTS_TASK
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HelpTasksPlugin

    public HelpTasksPlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object